'use client'

import { useEffect, useState } from 'react'
import { CardGroup } from '@/components/ui/card-group'

interface PageContentProps {
  bset:       string
}

export default function PageContent({bset}: PageContentProps) {
  const [commanderList, setCommanderList] = useState([])
  const [creatureList, setCreatureList] = useState([])
  const [planeswalkerList, setPlaneswalkerList] = useState([])
  const [instantList, setInstantList] = useState([])
  const [sorceryList, setSorceryList] = useState([])
  const [artifactList, setArtifactList] = useState([])
  const [enchantmentList, setEnchantmentList] = useState([])
  const [landList, setLandList] = useState([])

  useEffect(() => {
    fetch('http://localhost:8072/bset/'+bset+'.json').then((res) => {
      if(res.status == 200) {
        res.json().then((data) => {
          const limit = 20
          setCommanderList(data["commander"].slice(0,limit))
          setCreatureList(data["creature"].slice(0,limit))
          setPlaneswalkerList(data["planeswalker"].slice(0,limit))
          setSorceryList(data["sorcery"].slice(0,limit))
          setInstantList(data["instant"].slice(0,limit))
          setEnchantmentList(data["enchantment"].slice(0,limit))
          setLandList(data["land"].slice(0,limit))
          setArtifactList(data["artifact"].slice(0,limit))
          console.log(data)
        })
      }
    })
  }, []) 
  return (
    <div className="flex flex-col items-center mt-32">
      <CardGroup groupName={"Commander"} cards={commanderList} />
      <CardGroup groupName={"Planeswalker"} cards={planeswalkerList} />
      <CardGroup groupName={"Creature"} cards={creatureList} />
      <CardGroup groupName={"Sorcery"} cards={sorceryList} />
      <CardGroup groupName={"Artifact"} cards={artifactList} />
      <CardGroup groupName={"Instant"} cards={instantList} />
      <CardGroup groupName={"Enchantment"} cards={enchantmentList} />
      <CardGroup groupName={"Land"} cards={landList} />
    </div>
  );
}
