'use client'

import { useEffect, useState } from 'react'
import { CardGroup } from '@/components/ui/card-group'

interface PageContentProps {
  color:       string
}

export default function PageContent({color}: PageContentProps) {
  const [commanderCardList, setCommanderCardList] = useState([])

  useEffect(() => {
    fetch('http://localhost:8072/commander/'+color+'.json').then((res) => {
      if(res.status == 200) {
        res.json().then((data) => {
          const limit = 20
          setCommanderCardList(data.slice(0,limit))
          console.log(data)
        })
      }
    })
  }, []) 
  return (
    <div className="flex flex-col items-center mt-32">
      <CardGroup groupName={"Top commander - " + color} cards={commanderCardList} />
    </div>
  );
}
